#include <gmodule.h>

#include "bmpx/sanity.h"
#include "libtransport_file.h"

G_MODULE_EXPORT void
plugin_init (GTypeModule *module)
{
  plugin_transport_file_register_type (module);
}

G_MODULE_EXPORT void
plugin_exit (void)
{
}

G_MODULE_EXPORT GObject*
create_instance (void)
{
  g_assert (BMP_TYPE_PLUGIN_TRANSPORT_FILE != 0);

  return g_object_new (BMP_TYPE_PLUGIN_TRANSPORT_FILE, NULL);
}

/* The following function will be called by GTK+ when the module
 * is loaded and checks to see if we are compatible with the
 * version of GTK+ that loads us.
 */
G_MODULE_EXPORT const gchar* g_module_check_init (GModule *module);
const gchar*
g_module_check_init (GModule *module)
{
  return sanity_check_glib ();
}

